Skip to main content
GET
/
api
/
v1
/
workflows
/
{wfId}
/
history
curl -X GET \
  -H "Authorization: Bearer alf_your_key_here" \
  /api/v1/workflows/curator-sweep-20260226-143022/history
[
  {
    "eventId": "1",
    "eventType": "EVENT_TYPE_WORKFLOW_EXECUTION_STARTED",
    "eventTime": "2026-02-26T14:30:22.154Z",
    "workflowExecutionStartedEventAttributes": {
      "workflowType": {
        "name": "CuratorWorkflow"
      },
      "taskQueue": {
        "name": "alfred-curator"
      }
    }
  },
  {
    "eventId": "2",
    "eventType": "EVENT_TYPE_WORKFLOW_TASK_SCHEDULED",
    "eventTime": "2026-02-26T14:30:22.160Z"
  }
]
Retrieve the complete event history for a workflow execution. Returns an ordered array of events showing every state transition, scheduled task, and completion. Useful for debugging workflow behavior and understanding execution flow.
wfId
string
required
The workflow ID to retrieve history for
run_id
string
Specific run ID to retrieve history for. If omitted, returns history for the most recent run.
curl -X GET \
  -H "Authorization: Bearer alf_your_key_here" \
  /api/v1/workflows/curator-sweep-20260226-143022/history
[
  {
    "eventId": "1",
    "eventType": "EVENT_TYPE_WORKFLOW_EXECUTION_STARTED",
    "eventTime": "2026-02-26T14:30:22.154Z",
    "workflowExecutionStartedEventAttributes": {
      "workflowType": {
        "name": "CuratorWorkflow"
      },
      "taskQueue": {
        "name": "alfred-curator"
      }
    }
  },
  {
    "eventId": "2",
    "eventType": "EVENT_TYPE_WORKFLOW_TASK_SCHEDULED",
    "eventTime": "2026-02-26T14:30:22.160Z"
  }
]